ottxor      14/12/05 22:20:11

  Modified:             xloadimage-4.1-r11.ebuild ChangeLog
  Log:
  added prefix support (bug #529564)
  
  (Portage version: 2.2.14/cvs/Linux x86_64, signed Manifest commit with key 
C2000586)

Revision  Changes    Path
1.13                 media-gfx/xloadimage/xloadimage-4.1-r11.ebuild

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/media-gfx/xloadimage/xloadimage-4.1-r11.ebuild?rev=1.13&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/media-gfx/xloadimage/xloadimage-4.1-r11.ebuild?rev=1.13&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/media-gfx/xloadimage/xloadimage-4.1-r11.ebuild?r1=1.12&r2=1.13

Index: xloadimage-4.1-r11.ebuild
===================================================================
RCS file: 
/var/cvsroot/gentoo-x86/media-gfx/xloadimage/xloadimage-4.1-r11.ebuild,v
retrieving revision 1.12
retrieving revision 1.13
diff -u -r1.12 -r1.13
--- xloadimage-4.1-r11.ebuild   22 Jan 2012 20:16:27 -0000      1.12
+++ xloadimage-4.1-r11.ebuild   5 Dec 2014 22:20:11 -0000       1.13
@@ -1,6 +1,6 @@
-# Copyright 1999-2012 Gentoo Foundation
+# Copyright 1999-2014 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: 
/var/cvsroot/gentoo-x86/media-gfx/xloadimage/xloadimage-4.1-r11.ebuild,v 1.12 
2012/01/22 20:16:27 ssuominen Exp $
+# $Header: 
/var/cvsroot/gentoo-x86/media-gfx/xloadimage/xloadimage-4.1-r11.ebuild,v 1.13 
2014/12/05 22:20:11 ottxor Exp $
 
 EAPI=2
 inherit autotools eutils flag-o-matic toolchain-funcs
@@ -12,7 +12,7 @@
 
 LICENSE="MIT"
 SLOT="0"
-KEYWORDS="alpha amd64 arm hppa ia64 ~mips ppc ppc64 sh sparc x86 ~x86-fbsd"
+KEYWORDS="alpha amd64 arm hppa ia64 ~mips ppc ppc64 sh sparc x86 ~x86-fbsd 
~x86-freebsd ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos"
 IUSE="tiff jpeg png"
 
 RDEPEND="x11-libs/libX11
@@ -46,6 +46,8 @@
        epatch "${FILESDIR}"/${P}-unaligned-access.patch
        epatch "${FILESDIR}"/${P}-ldflags_and_exit.patch
 
+       sed -i -e "/^DEFS = /s:/etc:${EPREFIX}/etc:" Makefile.in
+
        epatch "${FILESDIR}"/${P}-libpng15.patch
        sed -i \
                -e 's:png_set_gray_1_2_4_to_8:png_set_expand_gray_1_2_4_to_8:' \
@@ -69,6 +71,10 @@
                $(use_with tiff)
 }
 
+src_compile() {
+       emake SYSPATHFILE="${EPREFIX}"/etc/X11/Xloadimage || die
+}
+
 src_install() {
        dobin xloadimage uufilter || die
 



1.66                 media-gfx/xloadimage/ChangeLog

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/media-gfx/xloadimage/ChangeLog?rev=1.66&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/media-gfx/xloadimage/ChangeLog?rev=1.66&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/media-gfx/xloadimage/ChangeLog?r1=1.65&r2=1.66

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/media-gfx/xloadimage/ChangeLog,v
retrieving revision 1.65
retrieving revision 1.66
diff -u -r1.65 -r1.66
--- ChangeLog   22 Jan 2012 20:16:27 -0000      1.65
+++ ChangeLog   5 Dec 2014 22:20:11 -0000       1.66
@@ -1,6 +1,9 @@
 # ChangeLog for media-gfx/xloadimage
-# Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/media-gfx/xloadimage/ChangeLog,v 1.65 
2012/01/22 20:16:27 ssuominen Exp $
+# Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
+# $Header: /var/cvsroot/gentoo-x86/media-gfx/xloadimage/ChangeLog,v 1.66 
2014/12/05 22:20:11 ottxor Exp $
+
+  05 Dec 2014; Christoph Junghans <[email protected]> 
xloadimage-4.1-r11.ebuild:
+  added prefix support (bug #529564)
 
   22 Jan 2012; Samuli Suominen <[email protected]>
   xloadimage-4.1-r11.ebuild:




Reply via email to